<?php include('includes/header.php'); ?>

<div class="container-fluid px-4">

    <?php alertMessage(); ?>

    <div class="card mt-4 shadow-sm">

        <div class="card-body">
            <div class="row d-flex justify-content-center">

                <?php
                // Validate client ID
                if (isset($_GET['id']) && !empty($_GET['id'])) {
                    $clientId = validate($_GET['id']);
                } else {
                ?>
                    <div class="text-center py-5">
                        <h5>No client id found</h5>
                        <div>
                            <a href="clients.php" class="btn btn-primary mt-4 w-25">Go back to clients</a>
                        </div>
                    </div>
                <?php
                    return false;
                }

                // Query to get client information
                $query = "SELECT * FROM clients WHERE id = '$clientId'";
                $clients = mysqli_query($conn, $query);

                // Check if client exists
                if ($clients && mysqli_num_rows($clients) > 0) {
                    $client = mysqli_fetch_assoc($clients);
                ?>
                    <!-- Client info column -->
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Taarifa za mteja</h6>

                        <label class="mb-1">
                            <img src="../<?= $client['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                        </label>
                        <br />
                        <label class="mb-1">Jina: <span class="fw-bold"><?= $client['name']; ?></span></label>
                        <br />
                        <label class="mb-1">Kuzaliwa: <span class="fw-bold"><?= $client['dob']; ?></span></label>
                        <br />
                        <label class="mb-1">Jinsia: <span class="fw-bold"><?= $client['gender']; ?></span></label>
                        <br />
                        <label class="mb-1">Hali ya Ndoa: <span class="fw-bold"><?= $client['marital_status']; ?></span></label>
                        <br />
                        <label class="mb-1">Makazi: <span class="fw-bold"><?= $client['residence']; ?></span></label>
                        <br />
                        <label class="mb-1">Simu: <span class="fw-bold"><?= $client['phone']; ?></span></label>
                        <br />

                        <hr>
                        <label class="mb-1">Mkopeshaji: <span class="fw-bold"><?= $client['loaner']; ?></span></label>
                        <br />
                        <label class="mb-1">Tawi: <span class="fw-bold"><?= $client['office']; ?></span></label>
                        <br />
                        <hr>

                        <div>
                            <?php
                            if ($client['approval_status'] === 'accepted') {
                                echo ' 
                                <span class="bg-success p-1 rounded text-white">
                                    Amepitishwa
                                </span>';
                            } elseif ($client['approval_status'] === 'pending') {
                                echo ' 
                                <span class="bg-warning p-1 rounded text-white">
                                    Amesubilishwa
                                </span>';
                            } else {
                                echo ' 
                                <span class="bg-danger p-1 rounded text-white">
                                    Amekataliwa
                                </span>';
                            }

                            ?>
                        </div>
                    </div>

                <?php
                } else {
                    echo '<h6>No Client Record Found!</h6>';
                    return false;
                }

                // Query to get client guarantees
                $guaranteeQuery = "SELECT * FROM client_guarantee WHERE client_id = '$clientId'";
                $guarantees = mysqli_query($conn, $guaranteeQuery);

                // Check if guarantees exist
                if ($guarantees && mysqli_num_rows($guarantees) > 0) {
                ?>
                    <!-- Guarantee info column -->
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Dhamana za mteja</h6>
                        <?php
                        // Loop through each guarantee
                        while ($item = mysqli_fetch_assoc($guarantees)) {
                            $guaranteeId = $item['id'];
                        ?>
                            <div class="mb-3">
                                <label class="mb-1">
                                    <img src="../<?= $item['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Dhamana: <span class="fw-bold"><?= $item['name']; ?></span></label>
                                <br>
                                <label class="mb-1">Thamani: <span class="fw-bold"><?= $item['value']; ?></span></label>
                                <br>
                            </div>
                        <?php
                        }
                        ?>
                    </div>

                <?php
                } else {
                ?>
                    <div class="col-md-4 mb-3">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Dhamana za mteja</h6>
                        <p>Hakuna dhamana ya mteja!</p>
                    </div>
                <?php
                }

                $guaranteeQuery = "SELECT * FROM guarantors WHERE client_id = '$clientId'";
                $guarantors = mysqli_query($conn, $guaranteeQuery);

                if ($guarantors && mysqli_num_rows($guarantors) > 0) {
                ?>
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mdhamini</h6>
                        <?php
                        while ($item = mysqli_fetch_assoc($guarantors)) {
                            $guarantorId = $item['id'];
                        ?>
                            <div class="mb-3">
                                <label class="mb-1">
                                    <img src="../<?= $item['avatar']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Jina: <span class="fw-bold"><?= $item['name']; ?></span></label>
                                <br>
                                <label class="mb-1">Simu: <span class="fw-bold"><?= $item['phone']; ?></span></label>
                                <br>

                                <h6 class="m-0 mb-3 mt-3 font-weight-bold text-primary">Dhamana za mdhamini</h6>
                                <br>
                                <label class="mb-1">
                                    <img src="../<?= $item['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Dhamana: <span class="fw-bold"><?= $item['item']; ?></span></label>
                                <br>
                                <label class="mb-1">Thamani: <span class="fw-bold"><?= $item['item_value']; ?></span></label>
                                <br>
                            </div>
                        <?php
                        }
                        ?>
                    </div>

                <?php
                } else {
                ?>
                    <div class="col-md-4 mb-3">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mdhamini/wadhamini</h6>
                        <p>Hakuna mdhamini wa mteja!</p>
                    </div>
                <?php
                }
                ?>

                <div class="row w-100">

                    <div class="col-md-6 mb-3">
                        <input type="hidden" id="client-id" value="<?= $clientId; ?>">
                        <label for="">Hakiki mteja</label>
                        <select name="approval" id="approval" required class="form-select form-control">
                            <option value=""> -- Chagua -- </option>
                            <option value="accepted">Pitisha</option>
                            <option value="pending">Subirisha</option>
                            <option value="rejected">Katalia</option>
                        </select>
                    </div>

                    <div class="col-md-6 mb-3">
                        <button type="button" name="" class="btn btn-primary approveClient w-100">Hakiki</button>
                    </div>
                    <div class="col-md-6">
                        <a href="clients-approval.php" class="btn btn-warning w-100">Rudi Nyuma</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include('includes/footer.php'); ?>

<script>
    $(document).ready(function() {
        $(document).on('click', '.approveClient', function() {

            var client_id = $('#client-id').val();
            var approval = $('#approval').val();

            if (client_id === '') {
                swal("", "Hakuna mteja wa kuhakiki", "warning");
                return false;
            }

            if (approval === '') {
                swal("", "Chagua kuhakiki mteja", "warning");
                return false;
            }

            var data = {
                'approveClientBtn': true,
                'client_id': client_id,
                'approval': approval,
            };

            $.ajax({
                type: "POST",
                url: "clients-approval-code.php",
                data: data,
                success: function(response) {
                    var res = JSON.parse(response);

                    if (res.status == 200) {
                        swal(res.message, '', res.status_type).then(() => {
                            window.location.reload();
                            // window.location.href = "loans-summary.php";
                        });
                    } else {
                        swal(res.message, '', res.status_type);
                    }

                }
            });


        });
    })
</script>