<?php

include('../config/functions.php');

if (isset($_POST['registerClient'])) {

    // Getting form input values
    $name = validate($_POST['name']);
    $dob = validate($_POST['dob']);
    $gender = validate($_POST['gender']);
    $maritalStatus = validate($_POST['marital-status']);
    $phone = validate($_POST['phone']);
    $residence = validate($_POST['residence']);

    // Getting the image file input value
    if ($_FILES['image']['size'] > 0) {
        $path = "../assets/uploads/clients";
        $image_ext = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image']['tmp_name'], $path . "/" . $filename);

        $finalImage = "assets/uploads/clients/" . $filename;
    } else {
        $finalImage = '';
    }

    //employee
    $placed_by = $_SESSION['loggedInUser']['name'];
    $location = $_SESSION['loggedInUser']['office'];

    // Checking if a customer already exist
    if ($name != '') {
        $phoneCheck = mysqli_query($conn, "SELECT * FROM clients WHERE phone='$phone'");
        if ($phoneCheck) {
            if (mysqli_num_rows($phoneCheck) > 0) {
                redirect('clients.php', 'Client already exist');
            }
        }

        $data = [
            'name' => $name,
            'dob' => $dob,
            'gender' => $gender,
            'marital_status' => $maritalStatus,
            'image' => $finalImage,
            'phone' => $phone,
            'residence' => $residence,
            'approval_status' => 'pending',
            'office' => $location,
            'loaner' => $placed_by,
        ];

        $result = insert('clients', $data);

        $lastClientId = mysqli_insert_id($conn);

        if ($result) {

            $_SESSION['lastClientId'] = $lastClientId;

            redirect('clients.php', 'Mteja amesajiliwa');
        } else {
            redirect('clients.php', 'Somthing Went Wrong');
        }
    } else {
        redirect('clients-create.php', 'Tafadhali jaza sehemu zinazohitajika');
    }
}


// UPDATE CLIENT INFO
if (isset($_POST['updateClient'])) {
    $clientId = validate($_POST['client-id']);

    $client = getById('clients', $clientId);

    if ($client['status'] != 200) {
        redirect('clients-edit.php?id=' . $clientId, 'Please fill required fields.');
    }

    $name = validate($_POST['name']);
    $dob = validate($_POST['dob']);
    $gender = validate($_POST['gender']);
    $maritalStatus = validate($_POST['marital-status']);
    $phone = validate($_POST['phone']);
    $residence = validate($_POST['residence']);

    // Getting the image file input value
    if ($_FILES['image']['size'] > 0) {
        $path = "../assets/uploads/clients";
        $image_ext = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image']['tmp_name'], $path . "/" . $filename);

        $finalImage = "assets/uploads/clients/" . $filename;
    } else {
        $finalImage = '';
    }


    $phoneCheckQuery = "SELECT * FROM clients WHERE phone='$phone' AND id!='$clientId'";

    $checkResult = mysqli_query($conn, $phoneCheckQuery);

    if ($checkResult) {
        if (mysqli_num_rows($checkResult) > 0) {
            redirect('clients-edit.php?id=' . $clientId, 'Phone Already used by another user');
        }
    }


    if ($name != '') {

        $data = [
            'name' => $name,
            'dob' => $dob,
            'gender' => $gender,
            'marital_status' => $maritalStatus,
            'image' => $finalImage,
            'phone' => $phone,
            'residence' => $residence
        ];

        $result = update('clients', $clientId, $data);

        if ($result) {
            redirect('clients-edit.php?id=' . $clientId, 'Taarifa za mteja zimerekebishwa');
        } else {
            redirect('clients-edit.php?id=' . $clientId, 'Something Went Wrong!');
        }
    } else {
        redirect('clients-create.php', 'Tafadhali jaza sehemu zinazohitajika.');
    }
}



// ADDING CUSTOMER GUARANTEES
if (isset($_POST['addClientGuarantee'])) {

    $clientId = validate($_POST['client-id']);

    $client = getById('clients', $clientId);

    if ($client['status'] != 200) {
        redirect('client-guarantee-create.php?id=' . $clientId, 'Please fill required fields.');
    }

    // Getting form input values
    $name = validate($_POST['name']);
    $value = validate($_POST['item-value']);

    // Getting the image file input value
    if ($_FILES['image']['size'] > 0) {
        $path = "../assets/uploads/client-guarantee";
        $image_ext = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image']['tmp_name'], $path . "/" . $filename);

        $finalImage = "assets/uploads/client-guarantee/" . $filename;
    } else {
        $finalImage = '';
    }

    // Checking if a customer already exist
    if ($name != '') {

        $data = [
            'client_id' => $clientId,
            'name' => $name,
            'value' => $value,
            'image' => $finalImage,
        ];

        $result = insert('client_guarantee', $data);

        if ($result) {
            redirect('clients-view.php?id=' . $clientId, 'Dhamana imeongezwa');
        } else {
            redirect('clients.php', 'Somthing Went Wrong');
        }
    } else {
        redirect('clients-create.php', 'Tafadhali jaza sehemu zinazohitajika');
    }
}




// ADDING GUARANTORS
if (isset($_POST['addGuarantor'])) {

    $clientId = validate($_POST['client-id']);

    $client = getById('clients', $clientId);

    if ($client['status'] != 200) {
        redirect('guarantor-create.php?id=' . $clientId, 'Please fill required fields.');
    }

    // Getting form input values
    $name = validate($_POST['name']);
    $phone = validate($_POST['phone']);
    $item = validate($_POST['item']);
    $itemValue = validate($_POST['item-value']);

    // Getting the image file input value
    if ($_FILES['image-guarantor']['size'] > 0) {
        $path = "../assets/uploads/guarantor";
        $image_ext = pathinfo($_FILES['image-guarantor']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image-guarantor']['tmp_name'], $path . "/" . $filename);

        $finalAvatar = "assets/uploads/guarantor/" . $filename;
    } else {
        $finalAvatar = '';
    }

    // Getting the image file input value
    if ($_FILES['image']['size'] > 0) {
        $path = "../assets/uploads/guarantor-items";
        $image_ext = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image']['tmp_name'], $path . "/" . $filename);

        $finalImage = "assets/uploads/guarantor-items/" . $filename;
    } else {
        $finalImage = '';
    }

    // Checking if a customer already exist
    if ($name != '') {

        $data = [
            'client_id' => $clientId,
            'name' => $name,
            'phone' => $phone,
            'avatar' => $finalAvatar,
            'item' => $item,
            'item_value' => $itemValue,
            'image' => $finalImage,
        ];

        $result = insert('guarantors', $data);

        if ($result) {
            redirect('clients-view.php?id=' . $clientId, 'Mdhamini ameongezwa');
        } else {
            redirect('clients.php', 'Somthing Went Wrong');
        }
    } else {
        redirect('clients-create.php', 'Tafadhali jaza sehemu zinazohitajika');
    }
}


// UPDATE GUARANTOR INFORMATION
if (isset($_POST['updateGuarantor'])) {

    $guarantorId = validate($_POST['guarantor-id']);

    $name = validate($_POST['name']);
    $phone = validate($_POST['phone']);
    $item = validate($_POST['item']);
    $itemValue = validate($_POST['item-value']);

    if ($_FILES['image-guarantor']['size'] > 0) {
        $path = "../assets/uploads/guarantor";
        $image_ext = pathinfo($_FILES['image-guarantor']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image-guarantor']['tmp_name'], $path . "/" . $filename);

        $finalAvatar = "assets/uploads/guarantor/" . $filename;
    } else {
        $finalAvatar = '';
    }

    if ($_FILES['image']['size'] > 0) {
        $path = "../assets/uploads/guarantors";
        $image_ext = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);

        $filename = time() . '.' . $image_ext;

        move_uploaded_file($_FILES['image']['tmp_name'], $path . "/" . $filename);

        $finalImage = "assets/uploads/guarantors/" . $filename;
    } else {
        $finalImage = '';
    }

    if ($name != '') {

        $data = [
            'client_id' => $clientId,
            'name' => $name,
            'phone' => $phone,
            'avatar' => $finalAvatar,
            'item' => $item,
            'item_value' => $itemValue,
            'image' => $finalImage,
        ];

        $result = update('guarantors', $guarantorId, $data);

        if ($result) {
            redirect('guarantor-edit.php?id=' . $guarantorId, 'Taarifa za mteja zimerekebishwa');
        } else {
            redirect('guarantor-edit.php?id=' . $guarantorId, 'Something Went Wrong!');
        }
    } else {
        redirect('clients-create.php', 'Tafadhali jaza sehemu zinazohitajika.');
    }
}
