<?php
include('../config/functions.php');

if (isset($_POST['proceedToLoanBtn'])) {

    $clientId = validate($_POST['client_id']);
    $amount = validate($_POST['amount']);
    $plan = validate($_POST['plan']);
    $loan_interest = validate($_POST['loan_interest']);
    $form_interest = validate($_POST['form_interest']);

    $checkClient = mysqli_query($conn, "SELECT * FROM clients WHERE id='$clientId' LIMIT 1");

    if ($checkClient) {
        if (mysqli_num_rows($checkClient) > 0) {
            $_SESSION['invoice_no'] = "INV-" . rand(111111, 999999);

            $_SESSION['client_id'] = $clientId;
            $_SESSION['amount'] = $amount;
            $_SESSION['plan'] = $plan;
            $_SESSION['loan_interest'] = $loan_interest;
            $_SESSION['form_interest'] = $form_interest;

            jsonResponse(200, 'success', 'Taarifa za mkopo zimekamilika');
            exit;
        } else {
            jsonResponse(404, 'warning', 'Taarifa za mkopo hazijakamilika');
            exit;
        }
    } else {
        jsonResponse(500, 'error', 'Something Went Wrong');
        exit;
    }
}


if (isset($_POST['saveLoan'])) {

    $clientId = validate($_SESSION['client_id']);
    $amount = validate($_SESSION['amount']);
    $plan = validate($_SESSION['plan']);
    $loan_interest = validate($_SESSION['loan_interest']);
    $form_interest = validate($_SESSION['form_interest']);
    $invoiceNo = validate($_SESSION['invoice_no']);
    $location = $_SESSION['loggedInUser']['office'];
    $placed_by = $_SESSION['loggedInUser']['name'];

    $checkClient = mysqli_query($conn, "SELECT * FROM clients WHERE id='$clientId' LIMIT 1");

    if (!$checkClient) {
        jsonResponse(500, 'error', 'Something Went Wrong!');
    }

    if (mysqli_num_rows($checkClient) > 0) {
        $customerData = mysqli_fetch_assoc($checkClient);

        $interest = $loan_interest + $form_interest;

        $loan_interest_amount = ($loan_interest * $amount);
        $form_interest_amount = ($form_interest * $amount);
        $total_interest_amount = $loan_interest_amount + $form_interest_amount;
        $amount_total = $amount + $total_interest_amount;

        $status = 'Anadaiwa';

        $data = [
            'client_id' => $customerData['id'],
            'tracking_no' => rand(11111, 99999),
            'invoice_no' => $invoiceNo,
            'amount' => $amount,
            'interest' => $interest,
            'amount_total' => $amount_total,
            'status' => $status,
            'date' => date('Y-m-d'),
            'location' => $location,
            'placed_by' => $placed_by,
        ];

        $result = insert('loans', $data);

        $lastOrderId = mysqli_insert_id($conn);

        jsonResponse(200, 'success', 'Mkopo umekamilika');
    } else {
        jsonResponse(404, 'werning', 'Hakuna mteja!');
    }
}


// LOAN PAYMENT PROCESS
if (isset($_POST['paymentBtn'])) {

    $trackingNo = validate($_POST['tracking_no']);
    $amount = validate($_POST['amount']);

    if (!empty($trackingNo) && !empty($amount) && is_numeric($amount) && $amount > 0) {
        $query = "SELECT * FROM loans WHERE tracking_no = '$trackingNo' LIMIT 1";
        $result = mysqli_query($conn, $query);

        if ($result && mysqli_num_rows($result) > 0) {

            $loanData = mysqli_fetch_assoc($result);

            $loanId = $loanData['id'];
            $amountTotal = $loanData['amount_total'];
            $amountPaid = $loanData['amount_paid'];

            $amountPaid += $amount;
            $amountDue = $amountTotal - $amountPaid;

            if ($amountPaid <= $amountTotal) {
                $data = [
                    'amount_paid' => $amountPaid,
                    'amount_due' => $amountDue,
                ];

                $paymentQuery = "INSERT INTO payments (tracking_no, amount, payment_date) VALUES ('$trackingNo', '$amount', NOW())";
                $paymentResult = mysqli_query($conn, $paymentQuery);

                if ($paymentResult) {

                    $result = update('loans', $loanId, $data);

                    if ($result) {
                        redirect('loans-view.php?track=' . $trackingNo, 'Malipo yamekamilika');
                    }
                } else {
                    redirect('loans-view.php?track=' . $trackingNo, 'Malipo hayajakamilika!');
                }
            } else {
                redirect('loans-view.php?track=' . $trackingNo, 'Kiasi ulicho ingiza kinazidi kiasi anachodaiwa');
            }
        } else {
            redirect('loans-view.php?track=' . $trackingNo, 'Mkopo haujapatikana');
        }
    } else {
        redirect('loans-view.php?track=' . $trackingNo, 'Maelezo ya malipo yasiyo sahihi');
    }
} else {
    $_SESSION['error'] = "Invalid request.";
}
