<?php include "includes/header.php" ?>


<div class="container-fluid">

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Taarifa za mkopo</h6>
                </div>

                <div class="card-body">
                    <div class="row">

                        <div class="col-md-12 mb-3">
                            <label for="">Jina la mteja</label>
                            <select name="client-id" id="client-id" class="form-select mySelect2">
                                <option value="">-- Chagua mteja --</option>
                                <?php
                                $clients = getAll('clients');
                                if ($clients) {
                                    if (mysqli_num_rows($clients) > 0) {
                                        foreach ($clients as $client) {
                                ?>
                                            <option value="<?= $client['id']; ?>"><?= $client['name']; ?></option>
                                <?php
                                        }
                                    } else {
                                        echo '<option value="">Hakuna wateja waliosajiliwa!</option>';
                                    }
                                } else {
                                    echo '<option value="">Something Went Wrong</option>';
                                }
                                ?>
                            </select>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label for="">Kiasi cha mkopo</label>
                            <input type="number" name="amount" id="amount" required class="form-control" />
                        </div>

                        <div class="col-md-6 mb-3">
                            <label for="">Muda wa mkopo</label>
                            <select name="plan" id="plan" required class="form-select form-control">
                                <option value="1">Mwezi</option>
                                <option value="3">Miezi 3</option>
                                <option value="6">Miezi 6</option>
                            </select>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label for="">Riba ya mkopo</label>
                            <select name="loan-interest" id="loan-interest" required class="form-select form-control">
                                <option value="0.15">15%</option>
                                <option value="0.2">20%</option>
                            </select>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label for="">Riba ya fomu</label>
                            <select name="form-interest" id="form-interest" required class="form-select form-control">
                                <option value="0.05">5%</option>
                                <option value="0.1">10%</option>
                            </select>
                        </div>

                        <div class="col-md-6 mb-3 text-end">
                            <button type="button" name="" class="btn btn-primary proceedToLoan w-100">Endelea</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>

<script>
    $(document).ready(function() {
        // proceed to place order button click
        $(document).on('click', '.proceedToLoan', function() {

            var client_id = $('#client-id').val();
            var loan_amount = $('#amount').val();
            var loan_plan = $('#plan').val();
            var loan_interest = $('#loan-interest').val();
            var form_interest = $('#form-interest').val();

            if (client_id == '') {
                swal("", "Chagua mteja", "warning");
                return false;
            }

            if (loan_amount == '' || !$.isNumeric(loan_amount)) {
                swal("", "Weka kiasi cha Mkopo", "warning");
                return false;
            }

            if (loan_plan == '') {
                swal("", "Chagua mpango wa mkopo", "warning");
                return false;
            }

            var data = {
                'proceedToLoanBtn': true,
                'client_id': client_id,
                'amount': loan_amount,
                'plan': loan_plan,
                'loan_interest': loan_interest,
                'form_interest': form_interest,
            };

            $.ajax({
                type: "POST",
                url: "loans-code.php",
                data: data,
                success: function(response) {
                    var res = JSON.parse(response);

                    if (res.status == 200) {
                        swal(res.message, '', res.status_type).then(() => {
                            // window.location.reload();
                            window.location.href = "loans-summary.php";
                        });
                    } else {
                        swal(res.message, '', res.status_type);
                    }

                }
            });


        });
    })
</script>