<?php
include('includes/header.php');
?>

<div class="container-fluid px-4">
    <div class="row">
        <div class="col-md-12">

            <?php alertMessage(); ?>

            <div class="card">
                <div class="card-header">
                    <h6 class="m-0 font-weight-bold text-primary">Muhtasari wa mkopo</h6>
                </div>

                <div class="card-body">
                    <div class="row" id="myBillingArea">

                        <?php
                        if (isset($_SESSION['client_id'])) {

                            $clientId = validate($_SESSION['client_id']);
                            $amount = validate($_SESSION['amount']);
                            $plan = validate($_SESSION['plan']);
                            $loan_interest = validate($_SESSION['loan_interest']);
                            $form_interest = validate($_SESSION['form_interest']);

                            $invoiceNo = validate($_SESSION['invoice_no']);

                            $loan_interest_amount = ($loan_interest * $amount);
                            $form_interest_amount = ($form_interest * $amount);

                            $total_amount = ($loan_interest * $amount) + ($form_interest * $amount);

                            $amount_due = $amount + $total_amount;

                            $clientQuery = mysqli_query($conn, "SELECT * FROM clients WHERE id='$clientId' LIMIT 1");

                            if ($clientQuery) {
                                if (mysqli_num_rows($clientQuery) > 0) {

                                    $cRowData = mysqli_fetch_assoc($clientQuery);
                        ?>

                                    <div class="col-md-6 mb-3 p-3 shadow">
                                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mkopo</h6>

                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Namba: <strong> <?= $invoiceNo; ?> </strong> </p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Tarehe: <strong> <?= date('d M Y'); ?> </strong> </p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Mkopo: <strong> <?= number_format($amount, 2); ?> </strong></p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Riba: <strong> <?= number_format($loan_interest_amount, 2); ?> </strong></p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Riba(Fomu): <strong> <?= number_format($form_interest_amount, 2); ?> </strong></p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Muda(mwezi/miezi): <strong> <?= $plan; ?> </strong></p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Jumla ya Riba: <strong> <?= number_format($total_amount, 2); ?> </strong> </p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Kiasi cha kulipa: <strong> <?= number_format($amount_due, 2); ?> </strong> </p>
                                    </div>

                                    <div class="col-md-6 mb-3 p-3 shadow">
                                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mteja</h6>

                                        <label class="mb-1">
                                            <img src="../<?= $cRowData['image']; ?>" style="width:100px;height:100px;" alt="Img" />
                                        </label>

                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Jina: <strong> <?= $cRowData['name']; ?> </strong> </p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Simu: <strong> <?= $cRowData['phone']; ?> </strong> </p>
                                        <p style="font-size: 16px; line-height: 20px; margin:0px; padding: 0;">Makazi: <strong> <?= $cRowData['residence']; ?> </strong> </p>
                                    </div>

                                    <div class="mt-4 text-end">
                                        <button type="button" class="btn btn-primary px-4 mx-1" id="saveLoan">Weka mkopo</button>
                                        <a href="loans-create.php" type="button" class="btn btn-warning px-4 mx-1" id="cancelLoan">Sitisha</a>
                                    </div>

                        <?php
                                } else {
                                    echo "<h5>No Customer Found</h5>";
                                    return;
                                }
                            }
                        }
                        ?>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<?php include('includes/footer.php'); ?>

<script>
    $(document).ready(function() {
        $(document).on('click', '#saveLoan', function() {
            $.ajax({
                type: "POST",
                url: "loans-code.php",
                data: {
                    'saveLoan': true
                },
                success: function(response) {
                    var res = JSON.parse(response);

                    if (res.status == 200) {
                        swal(res.message, '', res.status_type).then(() => {
                            // window.location.reload();
                            window.location.href = "loans.php";
                        });

                    } else {
                        swal(res.message, '', res.status_type);
                    }
                }
            });

        });
    })
</script>