<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Rekebisha taarifa za mteja</h6>
                </div>

                <div class="card-body">
                    <form action="clients-code.php" method="POST" id="form" enctype="multipart/form-data">

                        <?php
                        if (isset($_GET['id'])) {
                            if ($_GET['id'] != '') {

                                $clientId = $_GET['id'];
                            } else {
                                echo '<h5>No Id Found</h5>';
                                return false;
                            }
                        } else {
                            echo '<h5>No Id given in params</h5>';
                            return false;
                        }


                        $client = getById('clients', $clientId);
                        if ($client) {
                            if ($client['status'] == 200) {
                        ?>
                                <input type="hidden" name="client-id" value="<?= $client['data']['id']; ?>">

                                <div class="row">

                                    <div class="col-md-8 mb-3">
                                        <label for="">Jina la mteja</label>
                                        <input type="text" name="name" id="name" value="<?= $client['data']['name']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Tarehe ya kuzaliwa</label>
                                        <input type="date" name="dob" id="dob" value="<?= $client['data']['dob']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Jinsia</label>
                                        <select name="gender" id="gender" required class="form-select form-control">
                                            <option value="">-- Chagua jinsia --</option>
                                            <option value="kiume" <?= ($client['data']['gender'] == 'kiume') ? 'selected' : ''; ?>>Kiume</option>
                                            <option value="kike" <?= ($client['data']['gender'] == 'kike') ? 'selected' : ''; ?>>Kike</option>
                                        </select>
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Hali ya ndoa</label>
                                        <select name="marital-status" id="marital-status" required class="form-select form-control">
                                            <option value=""> -- Chagua -- </option>
                                            <option value="ameoa" <?= ($client['data']['marital_status'] == 'ameoa') ? 'selected' : ''; ?>>Ameoa</option>
                                            <option value="ameolewa" <?= ($client['data']['marital_status'] == 'ameolewa') ? 'selected' : ''; ?>>Ameolewa</option>
                                            <option value="hajaoa" <?= ($client['data']['marital_status'] == 'hajaoa') ? 'selected' : ''; ?>>Hajaoa</option>
                                            <option value="hajaolewa" <?= ($client['data']['marital_status'] == 'hajaolewa') ? 'selected' : ''; ?>>Hajaolewa</option>
                                        </select>
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha (passport size)</label>
                                        <input type="file" name="image" id="image" value="<?= $client['data']['image']; ?>" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Namba ya simu</label>
                                        <input type="number" name="phone" id="phone" value="<?= $client['data']['phone']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Mahali anapoishi</label>
                                        <input type="text" name="residence" id="residence" value="<?= $client['data']['residence']; ?>" required class="form-control" />
                                    </div>


                                    <div class="col-md-8 mb-3">
                                        <button type="submit" name="updateClient" class="btn btn-primary w-100">Rekebisha Mteja</button>
                                    </div>
                                </div>

                        <?php
                            } else {
                                echo '<h6>' . $client['message'] . '</h6>';
                            }
                        } else {
                            echo 'Something Went Wrong';
                            return false;
                        }

                        ?>

                    </form>

                    <div class="row">
                        <div class="col-md-8">
                            <a href="clients-view.php?id=<?= $clientId; ?>" class="btn btn-warning w-100">Rudi nyuma</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>