<?php include('includes/header.php'); ?>

<div class="container-fluid px-4">

    <?php alertMessage(); ?>

    <div class="card mt-4 shadow-sm">

        <div class="card-body">
            <div class="row d-flex justify-content-center">

                <?php
                // Validate client ID
                if (isset($_GET['id']) && !empty($_GET['id'])) {
                    $clientId = validate($_GET['id']);
                } else {
                ?>
                    <div class="text-center py-5">
                        <h5>No client id found</h5>
                        <div>
                            <a href="clients.php" class="btn btn-primary mt-4 w-25">Go back to clients</a>
                        </div>
                    </div>
                <?php
                    return false;
                }

                // Query to get client information
                $query = "SELECT * FROM clients WHERE id = '$clientId'";
                $clients = mysqli_query($conn, $query);

                // Check if client exists
                if ($clients && mysqli_num_rows($clients) > 0) {
                    $client = mysqli_fetch_assoc($clients);
                ?>
                    <!-- Client info column -->
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Taarifa za mteja</h6>

                        <label class="mb-1">
                            <img src="../<?= $client['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                        </label>
                        <br />
                        <label class="mb-1">Jina: <span class="fw-bold"><?= $client['name']; ?></span></label>
                        <br />
                        <label class="mb-1">Kuzaliwa: <span class="fw-bold"><?= $client['dob']; ?></span></label>
                        <br />
                        <label class="mb-1">Jinsia: <span class="fw-bold"><?= $client['gender']; ?></span></label>
                        <br />
                        <label class="mb-1">Hali ya Ndoa: <span class="fw-bold"><?= $client['marital_status']; ?></span></label>
                        <br />
                        <label class="mb-1">Makazi: <span class="fw-bold"><?= $client['residence']; ?></span></label>
                        <br />
                        <label class="mb-1">Simu: <span class="fw-bold"><?= $client['phone']; ?></span></label>
                        <br />
                        <hr>
                        <div>
                            <?php
                            if ($client['approval_status'] === 'accepted') {
                                echo ' 
                                <span class="bg-success p-1 rounded text-white">
                                    Amepitishwa
                                </span>';
                            } elseif ($client['approval_status'] === 'pending') {
                                echo ' 
                                <span class="bg-warning p-1 rounded text-white">
                                    Amesubilishwa
                                </span>';
                            } else {
                                echo ' 
                                <span class="bg-danger p-1 rounded text-white">
                                    Amekataliwa
                                </span>';
                            }
                            ?>
                        </div>
                        <hr>
                        <a href="clients-edit.php?id=<?= $_GET['id'] ?>" class="btn btn-info btn-sm mb-3 w-100">Rekebisha</a>
                    </div>

                <?php
                } else {
                    echo '<h6>No Client Record Found!</h6>';
                    return false;
                }

                // Query to get client guarantees
                $guaranteeQuery = "SELECT * FROM client_guarantee WHERE client_id = '$clientId'";
                $guarantees = mysqli_query($conn, $guaranteeQuery);

                // Check if guarantees exist
                if ($guarantees && mysqli_num_rows($guarantees) > 0) {
                ?>
                    <!-- Guarantee info column -->
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Dhamana za mteja</h6>
                        <?php
                        // Loop through each guarantee
                        while ($item = mysqli_fetch_assoc($guarantees)) {
                            $guaranteeId = $item['id'];
                        ?>
                            <input type="hidden" name="client-id" value="<?= $item['client_id']; ?>">

                            <div class="mb-3">
                                <label class="mb-1">
                                    <img src="../<?= $item['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Dhamana: <span class="fw-bold"><?= $item['name']; ?></span></label>
                                <br>
                                <label class="mb-1">Thamani: <span class="fw-bold"><?= $item['value']; ?></span></label>
                                <br>
                                <a href="client-guarantee-edit.php?id=<?= $guaranteeId ?>" class="btn btn-info btn-sm mb-3 ">Rekebisha</a>
                                <a href="client-guarantee-delete.php?id=<?= $guaranteeId ?>" class="btn btn-danger btn-sm mb-3 w-25">Futa</a>
                            </div>
                        <?php
                        }
                        ?>
                        <a href="client-guarantee-create.php?id=<?= $_GET['id'] ?>" class="btn btn-success btn-sm mb-3 w-100">Ongeza Dhamana</a>
                    </div>

                <?php
                } else {
                ?>
                    <div class="col-md-4 mb-3">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Dhamana za mteja</h6>
                        <h6>Hakuna dhamana ya mteja!</h6>
                        <a href="client-guarantee-create.php?id=<?= $_GET['id'] ?>" class="btn btn-success btn-sm mb-3 w-100">Ongeza Dhamana</a>
                    </div>
                <?php
                }


                // Query to get client guarantors
                $guaranteeQuery = "SELECT * FROM guarantors WHERE client_id = '$clientId'";
                $guarantors = mysqli_query($conn, $guaranteeQuery);

                // Check if guarantees exist
                if ($guarantors && mysqli_num_rows($guarantors) > 0) {
                ?>
                    <!-- Guarantee info column -->
                    <div class="col-md-4 mb-3 p-3 shadow">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mdhamini</h6>
                        <?php
                        // Loop through each guarantee
                        while ($item = mysqli_fetch_assoc($guarantors)) {
                            $guarantorId = $item['id'];
                        ?>
                            <input type="hidden" name="client-id" value="<?= $item['client_id']; ?>">
                            <input type="hidden" name="guarantee-id" value="<?= $item['id']; ?>">

                            <div class="mb-3">
                                <label class="mb-1">
                                    <img src="../<?= $item['avatar']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Jina: <span class="fw-bold"><?= $item['name']; ?></span></label>
                                <br>
                                <label class="mb-1">Simu: <span class="fw-bold"><?= $item['phone']; ?></span></label>
                                <br>

                                <h6 class="m-0 mb-3 mt-3 font-weight-bold text-primary">Dhamana za mdhamini</h6>
                                <br>
                                <label class="mb-1">
                                    <img src="../<?= $item['image']; ?>" style="width:150px;height:150px;" alt="Img" />
                                </label>
                                <br>
                                <label class="mb-1">Dhamana: <span class="fw-bold"><?= $item['item']; ?></span></label>
                                <br>
                                <label class="mb-1">Thamani: <span class="fw-bold"><?= $item['item_value']; ?></span></label>
                                <br>

                                <a href="guarantor-edit.php?id=<?= $guarantorId ?>" class="btn btn-info btn-sm mb-3">Rekebisha</a>
                                <a href="guarantor-delete.php?id=<?= $guarantorId ?>" class="btn btn-danger btn-sm mb-3 w-25">Futa</a>
                            </div>
                        <?php
                        }
                        ?>
                        <a href="guarantor-create.php?id=<?= $_GET['id'] ?>" class="btn btn-success btn-sm mb-3 w-100">Ongeza mdhamini</a>
                    </div>

                <?php
                } else {
                ?>
                    <div class="col-md-4 mb-3">
                        <h6 class="m-0 mb-3 font-weight-bold text-primary">Mdhamini/wadhamini</h6>
                        <h6>Hakuna mdhamini wa mteja!</h6>
                        <a href="guarantor-create.php?id=<?= $_GET['id'] ?>" class="btn btn-success btn-sm mb-3 w-100">Ongeza mdhamini</a>
                    </div>
                <?php
                }
                ?>

                <div class="col-md-8">
                    <a href="clients.php" class="btn btn-warning w-100">Rudi Nyuma</a>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include('includes/footer.php'); ?>