<?php include "includes/header.php" ?>


<div class="container-fluid">

    <div class="row">
        <div class="col-lg-12">

            <?php alertMessage(); ?>

            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Taarifa za mkopo</h6>
                </div>

                <div class="card-body">

                    <?php
                    if (isset($_GET['track'])) {
                        if ($_GET['track'] == '') {
                    ?>
                            <div class="text-center py-5">
                                <h5>No Tracking Number Found</h5>
                                <div>
                                    <a href="loans.php" class="btn btn-primary mt-4 w-25">Back</a>
                                </div>
                            </div>
                            <?php
                            return false;
                        }

                        $trackingNo = validate($_GET['track']);

                        $query = "SELECT l.*, c.* FROM loans l, clients c 
                                WHERE c.id = l.client_id AND tracking_no='$trackingNo' 
                                ORDER BY l.id DESC";

                        $loans = mysqli_query($conn, $query);

                        if ($loans) {
                            if (mysqli_num_rows($loans) > 0) {

                                $loanData = mysqli_fetch_assoc($loans);
                                $orderId = $loanData['id'];

                            ?>

                                <div class="row shadow border-1 mb-3 p-2">
                                    <div class="col-md-6">
                                        <h6 class="m-0 mb-2 font-weight-bold text-primary">Mkopo</h6>
                                        <label class="mb-1">
                                            Namba:
                                            <span class="fw-bold"><?= $loanData['tracking_no']; ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Tarehe:
                                            <span class="fw-bold"><?= $loanData['date']; ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            hali:
                                            <span class="fw-bold"><?= $loanData['status']; ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Riba(%):
                                            <span class="fw-bold"><?= $loanData['interest'] * 100; ?>%</span>
                                        </label>
                                        <br />
                                    </div>

                                    <div class="col-md-3">
                                        <label class="mb-1">
                                            Amekopa:
                                            <span class="fw-bold"><?= number_format($loanData['amount'], 2); ?></span>
                                        </label>
                                        <br>
                                        <label class="mb-1">
                                            Riba:
                                            <span class="fw-bold"><?= number_format($loanData['amount'] * $loanData['interest'], 2); ?></span>
                                        </label>
                                        <br />

                                        <label class="mb-1">
                                            Jumla:
                                            <span class="fw-bold"><?= number_format($loanData['amount_total'], 2); ?></span>
                                        </label>
                                        <br />

                                        <label class="mb-1">
                                            Amelipa:
                                            <span class="fw-bold"><?= number_format($loanData['amount_paid'], 2); ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Anadaiwa:
                                            <span class="fw-bold"><?= number_format($loanData['amount_due'], 2); ?></span>
                                        </label>
                                        <br />
                                    </div>

                                    <div class="col-md-6 mt-3 mb-3">
                                        <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#paymentModal">Fanya malipo</button>
                                    </div>
                                </div>

                                <!-- Client Row -->
                                <div class="row shadow border-1 mb-3 p-2">
                                    <div class="col-md-6">
                                        <h6 class="m-0 mb-2 font-weight-bold text-primary">Mteja</h6>
                                        <label class="mb-1">
                                            <img src="../<?= $loanData['image']; ?>" style="width:100px;height:100px;" alt="Img" />
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Jina:
                                            <span class="fw-bold"><?= $loanData['name']; ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Simu:
                                            <span class="fw-bold"><?= $loanData['phone']; ?></span>
                                        </label>
                                        <br />
                                        <label class="mb-1">
                                            Makazi:
                                            <span class="fw-bold"><?= $loanData['residence']; ?></span>
                                        </label>
                                        <br />
                                    </div>

                                    <!--  -->
                                    <?php

                                    $orderItemQuery = "SELECT cg.name as guaranteeName, cg.value as guaranteeValue, cg.image as guaranteeImage, l.*, c.*, cg.* 
                                                    FROM loans AS l, clients AS c, client_guarantee as cg
                                                    WHERE cg.client_id = c.id AND c.id = l.client_id AND l.tracking_no='$trackingNo'";

                                    $queryData = mysqli_query($conn, $orderItemQuery);

                                    if ($queryData) {
                                        if (mysqli_num_rows($queryData) > 0) {
                                    ?>

                                            <div class="col-md-6">
                                                <h6 class="m-0 mb-2 font-weight-bold text-primary">Dhamana ya mteja</h6>

                                                <?php foreach ($queryData as $orderItemRow) : ?>
                                                    <label>
                                                        <img src="../<?= $orderItemRow['guaranteeImage']; ?>" style="width:100px;height:100px;" alt="Img" />
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Jina:
                                                        <strong><?= $orderItemRow['guaranteeName']; ?></strong>
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Thamani:
                                                        <strong><?= $orderItemRow['guaranteeValue']; ?></strong>
                                                    </label>
                                                    <br>

                                                <?php endforeach; ?>
                                            </div>

                                    <?php
                                        } else {
                                            echo '<h5>Something Went Wrong!</h5>';
                                            return false;
                                        }
                                    } else {
                                        echo '<h5>Something Went Wrong!</h5>';
                                        return false;
                                    }
                                    ?>

                                </div>

                                <!--  -->
                                <div class="row shadow p-2">

                                    <?php

                                    $guarantorQuery = "SELECT g.name as guarantorName, g.phone as guarantorPhone, g.avatar as guarantorImage, 
                                                    g.item as guarantorItem, g.item_value as guarantorItemValue, g.image as guarantorItemImage, 
                                                    l.*, c.*, g.* 
                                                    FROM loans AS l, clients AS c, guarantors as g
                                                    WHERE c.id = g.client_id AND c.id = l.client_id AND l.tracking_no='$trackingNo'";

                                    $guarantorData = mysqli_query($conn, $guarantorQuery);

                                    if ($guarantorData) {
                                        if (mysqli_num_rows($guarantorData) > 0) {
                                    ?>

                                            <?php foreach ($guarantorData as $orderItemRow) : ?>
                                                <div class="col-md-6">
                                                    <h6 class="m-0 mb-2 font-weight-bold text-primary">Mdhamini</h6>
                                                    <label>
                                                        <img src="../<?= $orderItemRow['guarantorImage']; ?>" style="width:100px;height:100px;" alt="Img" />
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Jina:
                                                        <strong><?= $orderItemRow['guarantorName']; ?></strong>
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Simu:
                                                        <strong><?= $orderItemRow['guarantorPhone']; ?></strong>
                                                    </label>
                                                    <br>
                                                </div>


                                                <div class="col-md-6">
                                                    <h6 class="m-0 mb-2 font-weight-bold text-primary">Dhamana ya mdhamini</h6>

                                                    <label>
                                                        <img src="../<?= $orderItemRow['guarantorItemImage']; ?>" style="width:100px;height:100px;" alt="Img" />
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Jina:
                                                        <strong><?= $orderItemRow['guarantorItem']; ?></strong>
                                                    </label>
                                                    <br>
                                                    <label>
                                                        Thamani:
                                                        <strong><?= $orderItemRow['guarantorItemValue']; ?></strong>
                                                    </label>
                                                    <br>
                                                </div>

                                            <?php endforeach; ?>


                                    <?php
                                        } else {
                                            echo '<h5>Something Went Wrong! Hapa</h5>';
                                            return false;
                                        }
                                    } else {
                                        echo '<h5>Something Went Wrong!</h5>';
                                        return false;
                                    }
                                    ?>

                                </div>

                        <?php
                            } else {
                                echo '<h5>No Record Found!</h5>';
                                return false;
                            }
                        } else {
                            echo '<h5>Something Went Wrong!</h5>';
                        }
                    } else {
                        ?>
                        <div class="text-center py-5">
                            <h5>No Tracking Number Found</h5>
                            <div>
                                <a href="orders.php" class="btn btn-primary mt-4 w-25">Go back to orders</a>
                            </div>
                        </div>
                    <?php
                    }
                    ?>

                </div>
            </div>
        </div>
    </div>

</div>

<!-- Payment Modal -->
<div class="modal fade" id="paymentModal" tabindex="-1" role="dialog" aria-labelledby="paymentModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="paymentModalLabel">Malipo ya mkopo</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- Payment form or information goes here -->
                <form action="loans-code.php" method="post">
                    <input type="hidden" name="tracking_no" value="<?= $trackingNo; ?>">
                    <div class="form-group">
                        <label for="amount">Weka kiasi anacholipa:</label>
                        <input type="number" name="amount" id="amount" class="form-control" required>
                    </div>
                    <!-- Add other fields as needed -->
                    <button type="submit" name="paymentBtn" class="btn btn-primary">Fanya Malipo</button>
                </form>
            </div>
        </div>
    </div>
</div>

<?php include "includes/footer.php" ?>